> ## Documentation Index
> Fetch the complete documentation index at: https://opendonationassistant.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Count ready videos for recipient

> Returns the number of ready videos for a given recipient ID



## OpenAPI

````yaml /api-reference/oda-media-service-1.0.0.yml get /media/video/count
openapi: 3.0.1
info:
  title: oda-media-service
  version: 1.0.0
servers: []
security: []
tags:
  - name: Available Media
    description: Search and retrieve available media from external providers
  - name: Video
    description: Video management operations
  - name: Playlist
    description: Playlist management operations
paths:
  /media/video/count:
    get:
      tags:
        - Video
      summary: Count ready videos for recipient
      description: Returns the number of ready videos for a given recipient ID
      operationId: countReadyVideos
      parameters:
        - name: recipientId
          in: query
          description: Recipient ID to count ready videos for
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Count of ready videos
          content:
            application/json:
              schema:
                type: integer
                format: int32
                allOf: []
                anyOf: []
                oneOf: []

````